cristiano_sarmento's profile

12 Messages

 • 

280 Points

Fri, Oct 4, 2019 8:41 PM

SSL Error mosquitto bridge vspot push API

Hello,

I configured a mosquitto brigde to receive MQTT messages  from vSpot Push API, but i'm getting the following error during connection:
OpenSSL Error: error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol
My mosquitto bridge configuration is:
port 1883
connection spot_push_api_mqtt_bridge
address 192.168.4.60:8883
cleansession true
topic 1.0.0/LOC/SPOT_GPB/vspot/GPB_LOCR in
bridge_tls_version tlsv1.2
bridge_identity vspot
bridge_psk 3132333435363738

I have installed mosquitto with homebrew on Mac OSX, version 1.6.7.

Have you some idea about how could we solve this issue?

Thanks!

Best regards,
Cristiano

Responses

1 Message

 • 

80 Points

2 y ago

Ruckus MQTT only work when using Mosquitto version 1.4.15 and set to tlsv1.

3 Messages

 • 

78 Points

2 m ago

2 years later and it appears Ruckus MQTT still only supports tlsv1 with PSK-TLS.  When can we expect an update that will bring Ruckus' MQTT implementation up to date with today's security norms and not require using extremely outdated software or doing manual software builds of patched/forked mosquitto to connect?  

Important Announcement